> For the complete documentation index, see [llms.txt](https://docs.scrt.network/secret-network-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.scrt.network/secret-network-documentation/infrastructure/running-a-node-validator/adding-an-azure-node.md).

# Adding an Azure node

Starting from v 1.23, Secret Network can accept Azure nodes without the need to whitelist them.

In order to register an Azure node, an additional step is required to sign the attestation report with an Azure signature.

This additional step needs to be performed right after[ Verify Enclave Initialization](/secret-network-documentation/infrastructure/running-a-node-validator/setting-up-a-node-validator/testnet/run-a-full-node.md#verify-enclave-initialization) step in the [Setup Full Node](/secret-network-documentation/infrastructure/running-a-node-validator/setting-up-a-node-validator/testnet/run-a-full-node.md) guide

```
wget https://github.com/scrtlabs/SecretNetwork/releases/download/v1.23.0/embed_azure_attestation.sh

chmod +x embed_azure_attestation.sh

./embed_azure_attestation.sh /opt/secret/.sgx_secrets/attestation_combined.bin
```

After the script executes, the `attestation_combined.bin` file will be updated (verify the change in the file size), and continue to the next step of the node setup - [Configure secretd](/secret-network-documentation/infrastructure/running-a-node-validator/setting-up-a-node-validator/testnet/run-a-full-node.md#configure-secretd)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.scrt.network/secret-network-documentation/infrastructure/running-a-node-validator/adding-an-azure-node.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
